using System.Text.Json.Serialization;

namespace Watcher.Models;

public class Container
{
    public int Id { get; set; }

    [JsonPropertyName("Server_id")]
    public int ServerId { get; set; }

    // Navigation Property
    public Server Server { get; set; } = null!;

    [JsonPropertyName("id")]
    public string? ContainerId { get; set; }

    [JsonPropertyName("image")]
    public string? Image { get; set; }

    [JsonPropertyName("name")]
    public string? Name { get; set; }

    // keine Variable, die vom Agent übergeben wird. Ein container ist immer Running, die Variable dient nur für die Übersicht
    // auf dem Dashboard.
    public bool IsRunning { get; set; } = true;
}
